change orientation of pages in composer when there's more than one
Description

| like being able to add a few pages to a composer when | have a small mapping project or one that the atlas features don't work well
with. It's also makes it easier to have dynamic overviews on a key/reference map.

But it's not currently possible to change the orientation of a specific page to portrait or landscape based on a data defined override
(expression) or a checklist (gui).

There's a variable for "layout_page" with a specific page number, but that's only available to map elements/items on that page.
I can't use it in the "Composition" tab to override the orientation with an expression like:
CASE
WHEN @layout_page IN (2,4)
THEN 'landscape’

ELSE 'portrait’
END

| asked a question on GIS.se and the answers provide some workarounds. http://gis.stackexchange.com/q/186417/1297

Maybe an option to change orientation for specific pages (like a checklist), in the orientation section, or the "page" part where a user can

enter multiple pages would be nice too.

History

#1 - 2017-05-01 12:46 AM - Giovanni Manghi

- Easy fix? set to No

#2 - 2017-09-22 10:05 AM - Jiirgen Fischer
- Category set to Unknown

#3 - 2017-12-18 11:42 PM - Nyall Dawson
- Resolution set to fixed/implemented

- Status changed from Open to Closed
- Description updated

Implemented in layouts engine
